Subject: [dispatch] New Draft - draft-elz-dispatch-req-sip-3rdpartyprivacy-00

From: Ian Elz <[email-masked]>
Date: Tue, 8 Mar 2011 08:15:41 +0000 (GMT)

All,

I have submitted a new draft relating to third party privacy in SIP messages.

http://www.ietf.org/id/draft-elz-dispatch-req-sip-3rdpartyprivacy-00.txt  (Link 
that I forgot in the previous posting.)

There are two specific issues included, how to specify third party privacy in a 
SIP message; the precedence of privacy settings between Privacy header values 
and Privacy URI parameters.

The things to consider are:

Should this work be pursued and if so in which forum.

A suitable solution to meet the requirements.

How any changes should be implemented: a new draft which modifies RFC3323 or an 
update to RFC3323 which includes the additional work.

All comments welcome.

Sorry I forgot to write the Abstract in version -00. I will include this in the 
next version. ( I leave abstracts to last and overlooked this before 
submission.)

Ian Elz

---

From: Paul Kyzivat <[email-masked]>
Date: Tue, 08 Mar 2011 09:12:39 -0500

Ian,

I'd like to thank you for submitting a clear requirements draft that is 
unburdened by mechanism proposals.

IMO the hard part of this issue is sorting out whether there is a need 
for a "generalized" mechanism dealing with arbitrary 3rd party 
identities, or just for a mechanism to deal with a specific enumerated 
set of 3rd party identities.

While its easy to wish for a generalized mechanism, I think it will be 
very difficult to adequately specify. If constrained to a specific set 
than it is a solvable problem.

	Thanks,
	Paul

On 3/8/2011 3:15 AM, Ian Elz wrote:
> http://www.ietf.org/id/draft-elz-dispatch-req-sip-3rdpartyprivacy-00.txt
> (Link that I forgot in the previous posting.)
>
> There are two specific issues included, how to specify third party
> privacy in a SIP message; the precedence of privacy settings between
> Privacy header values and Privacy URI parameters.
>
> How any changes should be implemented: a new draft which modifies
> RFC3323 or an update to RFC3323 which includes the additional work.
>
> All comments welcome.
>
> Sorry I forgot to write the Abstract in version -00. I will include this
> in the next version. ( I leave abstracts to last and overlooked this
> before submission.)
>
> Ian Elz
>
>
>
> _______________________________________________
> dispatch mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dispatch